## r-cran-pander 0.6.3+dfsg

=== DESCRIPTION ===
Package: pander
Authors@R: c(
    person("Gergely", "Daróczi", , "daroczig@rapporter.net", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-3149-8537")),
    person("Roman", "Tsegelskyi", , "roman.tsegelskyi@gmail.com", role = c("aut")))
Title: An R 'Pandoc' Writer
Type: Package
Encoding: UTF-8
Description: Contains some functions catching all messages, 'stdout' and other
    useful information while evaluating R code and other helpers to return user
    specified text elements (like: header, paragraph, table, image, lists etc.)
    in 'pandoc' markdown or several type of R objects similarly automatically
    transformed to markdown format. Also capable of exporting/converting (the
    resulting) complex 'pandoc' documents to e.g. HTML, 'PDF', 'docx' or 'odt'. This
    latter reporting feature is supported in brew syntax or with a custom reference
    class with a smarty caching 'backend'.
Version: 0.6.3
Date: 2018-11-06
URL: http://rapporter.github.io/pander
BugReports: https://github.com/rapporter/pander/issues
License: AGPL-3 | file LICENSE
Depends: R (>= 2.15.0)
Imports: grDevices, graphics, methods, utils, stats, digest, tools,
        Rcpp
Suggests: grid, lattice, ggplot2 (>= 0.9.2), sylly, sylly.en,
        futile.logger, survival, microbenchmark, zoo, nlme, descr,
        MASS, knitr, rmarkdown, tables, reshape, memisc, Epi,
        randomForest, tseries, gtable, rms, forecast, data.table
SystemRequirements: pandoc (http://johnmacfarlane.net/pandoc) for
        exporting markdown files to other formats.
LinkingTo: Rcpp
VignetteBuilder: knitr
RoxygenNote: 6.1.0
NeedsCompilation: yes
Packaged: 2018-11-06 10:17:46 UTC; daroczig
Author: Gergely Daróczi [aut, cre] (<https://orcid.org/0000-0003-3149-8537>),
  Roman Tsegelskyi [aut]
Maintainer: Gergely Daróczi <daroczig@rapporter.net>
Repository: CRAN
Date/Publication: 2018-11-06 10:50:02 UTC

## r-cran-pander 0.6.3%2Bdfsg

=== debian/control ===
Source: r-cran-pander
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-digest,
               r-cran-rcpp,
               closure-compiler
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pander
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pander.git
Homepage: https://cran.r-project.org/package=pander
Rules-Requires-Root: no

Package: r-cran-pander
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
# <dh-update-R>do not delete this</dh-update-R>
         node-jquery-ui,
         libjs-mathjax
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R 'Pandoc' writer
 Contains some functions catching all messages, 'stdout' and other useful
 information while evaluating R code and other helpers to return user
 specified text elements (like: header, paragraph, table, image, lists
 etc.) in 'pandoc' markdown or several type of R objects similarly
 automatically transformed to markdown format. Also capable of
 exporting/converting (the resulting) complex 'pandoc' documents to e.g.
 HTML, 'PDF', 'docx' or 'odt'. This latter reporting feature is supported
 in brew syntax or with a custom reference class with a smarty caching
 'backend'.

## r-cran-pander 0.6.3+dfsg

=== debian/changelog ===
r-cran-pander (0.6.3+dfsg-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 07 Feb 2021 11:53:15 +0100

r-cran-pander (0.6.3+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #979352)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jan 2021 10:14:13 +0100

## r-cran-pander 0.6.4%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -13,27 +13,27 @@
     resulting) complex 'pandoc' documents to e.g. HTML, 'PDF', 'docx' or 'odt'. This
     latter reporting feature is supported in brew syntax or with a custom reference
     class with a smarty caching 'backend'.
-Version: 0.6.3
-Date: 2018-11-06
-URL: http://rapporter.github.io/pander
+Version: 0.6.4
+Date: 2021-06-08
+URL: https://rapporter.github.io/pander/
 BugReports: https://github.com/rapporter/pander/issues
 License: AGPL-3 | file LICENSE
 Depends: R (>= 2.15.0)
 Imports: grDevices, graphics, methods, utils, stats, digest, tools,
         Rcpp
-Suggests: grid, lattice, ggplot2 (>= 0.9.2), sylly, sylly.en,
-        futile.logger, survival, microbenchmark, zoo, nlme, descr,
-        MASS, knitr, rmarkdown, tables, reshape, memisc, Epi,
-        randomForest, tseries, gtable, rms, forecast, data.table
-SystemRequirements: pandoc (http://johnmacfarlane.net/pandoc) for
+Suggests: grid, lattice, ggplot2 (>= 0.9.2), sylly, sylly.en, logger,
+        survival, microbenchmark, zoo, nlme, descr, MASS, knitr,
+        rmarkdown, tables, reshape, memisc, Epi, randomForest, tseries,
+        gtable, rms, forecast, data.table
+SystemRequirements: pandoc (https://johnmacfarlane.net/pandoc) for
         exporting markdown files to other formats.
 LinkingTo: Rcpp
 VignetteBuilder: knitr
-RoxygenNote: 6.1.0
+RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2018-11-06 10:17:46 UTC; daroczig
+Packaged: 2021-06-12 22:24:29 UTC; daroczig
 Author: Gergely Daróczi [aut, cre] (<https://orcid.org/0000-0003-3149-8537>),
   Roman Tsegelskyi [aut]
 Maintainer: Gergely Daróczi <daroczig@rapporter.net>
 Repository: CRAN
-Date/Publication: 2018-11-06 10:50:02 UTC
+Date/Publication: 2021-06-13 04:40:05 UTC

=== debian/changelog ===
r-cran-pander (0.6.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Add missing MIT license text

 -- Andreas Tille <tille@debian.org>  Tue, 31 Aug 2021 09:36:24 +0200

## r-cran-pander 0.6.4+dfsg

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-digest,
                r-cran-rcpp,
                closure-compiler
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pander
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pander.git
 Homepage: https://cran.r-project.org/package=pander

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_auto_build:
	closure-compiler  --charset 'utf-8' --js debian/missing-sources/jcaption/jcaption.js --js_output_file debian/missing-sources/jcaption/jcaption.min.js
	dh_auto_build

override_dh_install:
	dh_install
	dh_install debian/missing-sources/jcaption/jcaption.min.js	$(debRdir)/$(cranNameOrig)/includes/javascripts/
	dh_install debian/missing-sources/rapporter.net/*.gif		$(debRdir)/$(cranNameOrig)/includes/images/
	dh_install debian/missing-sources/stylesheets/*.css		$(debRdir)/$(cranNameOrig)/includes/stylesheets/
	sed -i \
	    -e 's#http://cdn.rapporter.net/pander/javascripts/#file:///$(debRdir)/$(cranNameOrig)/includes/javascripts/#' \
	    -e 's#http://cdn.rapporter.net/pander/images/#file:///$(debRdir)/$(cranNameOrig)/includes/images/#' \
	    -e 's#https*://cdn\..*/mathjax/.*/MathJax.js\(?config=TeX.*HTML">\)#file:///usr/share/javascript/mathjax/MathJax.js\1#' \
	    -e 's#http://cdn.rapporter.net/pander/stylesheets/#file:///$(debRdir)/$(cranNameOrig)/includes/stylesheets/#' \
	    -e '/html5shim/d' \
	    $(debRlib)/$(cranNameOrig)/includes/html/header.html
	find  debian -name index.html | xargs sed -i 's|library|site-library|g'

override_dh_link:
	dh_link /usr/share/nodejs/jquery-ui/ui/jquery-1-7.min.js $(debRdir)/$(cranNameOrig)/includes/javascripts/jquery-1.7.2.min.js

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://cloud.r-project.org/src/contrib/pander_([-\d.]*)\.tar\.gz

## r-cran-pander 0.6.5+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -13,8 +13,8 @@
     resulting) complex 'pandoc' documents to e.g. HTML, 'PDF', 'docx' or 'odt'. This
     latter reporting feature is supported in brew syntax or with a custom reference
     class with a smarty caching 'backend'.
-Version: 0.6.4
-Date: 2021-06-08
+Version: 0.6.5
+Date: 2022-03-17
 URL: https://rapporter.github.io/pander/
 BugReports: https://github.com/rapporter/pander/issues
 License: AGPL-3 | file LICENSE
@@ -31,9 +31,9 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2021-06-12 22:24:29 UTC; daroczig
+Packaged: 2022-03-18 08:57:22 UTC; daroczig
 Author: Gergely Daróczi [aut, cre] (<https://orcid.org/0000-0003-3149-8537>),
   Roman Tsegelskyi [aut]
 Maintainer: Gergely Daróczi <daroczig@rapporter.net>
 Repository: CRAN
-Date/Publication: 2021-06-13 04:40:05 UTC
+Date/Publication: 2022-03-18 09:20:02 UTC

=== debian/changelog ===
r-cran-pander (0.6.5+dfsg-2) unstable; urgency=medium

  * Pre-compress jcaption.js to avoid calling closure-compiler at
    package build time
    Closes: #1031454
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Feb 2023 21:25:31 +0100

r-cran-pander (0.6.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Mar 2022 08:20:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: r-cran-pander
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pander
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pander.git
+Homepage: https://cran.r-project.org/package=pander
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-digest,
                r-cran-rcpp,
                closure-compiler
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pander
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pander.git
-Homepage: https://cran.r-project.org/package=pander
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-pander
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-# <dh-update-R>do not delete this</dh-update-R>
          node-jquery-ui,
          libjs-mathjax
 Recommends: ${R:Recommends}

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,6 @@
 
 %:
 	dh $@ --buildsystem R
-
-override_dh_auto_build:
-	closure-compiler  --charset 'utf-8' --js debian/missing-sources/jcaption/jcaption.js --js_output_file debian/missing-sources/jcaption/jcaption.min.js
-	dh_auto_build
 
 override_dh_install:
 	dh_install

## r-cran-pander 0.6.6%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -13,8 +13,8 @@
     resulting) complex 'pandoc' documents to e.g. HTML, 'PDF', 'docx' or 'odt'. This
     latter reporting feature is supported in brew syntax or with a custom reference
     class with a smarty caching 'backend'.
-Version: 0.6.5
-Date: 2022-03-17
+Version: 0.6.6
+Date: 2025-03-01
 URL: https://rapporter.github.io/pander/
 BugReports: https://github.com/rapporter/pander/issues
 License: AGPL-3 | file LICENSE
@@ -29,11 +29,11 @@
         exporting markdown files to other formats.
 LinkingTo: Rcpp
 VignetteBuilder: knitr
-RoxygenNote: 7.1.1
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2022-03-18 08:57:22 UTC; daroczig
+Packaged: 2025-03-01 00:02:44 UTC; daroczig
 Author: Gergely Daróczi [aut, cre] (<https://orcid.org/0000-0003-3149-8537>),
   Roman Tsegelskyi [aut]
 Maintainer: Gergely Daróczi <daroczig@rapporter.net>
 Repository: CRAN
-Date/Publication: 2022-03-18 09:20:02 UTC
+Date/Publication: 2025-03-01 01:30:02 UTC

## r-cran-pander 0.6.6+dfsg

=== debian/changelog ===
r-cran-pander (0.6.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 03 Mar 2025 09:37:55 +0900

r-cran-pander (0.6.5+dfsg-3+deb12u1) bookworm; urgency=medium

  * Upload to testing-proposed-updates

 -- Andreas Tille <tille@debian.org>  Thu, 01 Jun 2023 10:14:44 +0200

r-cran-pander (0.6.5+dfsg-3) unstable; urgency=medium

  * Provide source and compressed JS of jquery 1.7.2 since it is not
    provided by any other package any more
    Closes: #1035855

 -- Andreas Tille <tille@debian.org>  Fri, 19 May 2023 12:38:06 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pander
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pander.git
 Homepage: https://cran.r-project.org/package=pander
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 override_dh_install:
 	dh_install
 	dh_install debian/missing-sources/jcaption/jcaption.min.js	$(debRdir)/$(cranNameOrig)/includes/javascripts/
+	dh_install debian/missing-sources/jquery/jquery-1.7.2.min.js	$(debRdir)/$(cranNameOrig)/includes/javascripts/
 	dh_install debian/missing-sources/rapporter.net/*.gif		$(debRdir)/$(cranNameOrig)/includes/images/
 	dh_install debian/missing-sources/stylesheets/*.css		$(debRdir)/$(cranNameOrig)/includes/stylesheets/
 	sed -i \
@@ -18,6 +19,3 @@
 	    -e '/html5shim/d' \
 	    $(debRlib)/$(cranNameOrig)/includes/html/header.html
 	find  debian -name index.html | xargs sed -i 's|library|site-library|g'
-
-override_dh_link:
-	dh_link /usr/share/nodejs/jquery-ui/ui/jquery-1-7.min.js $(debRdir)/$(cranNameOrig)/includes/javascripts/jquery-1.7.2.min.js
